---
title: "Update an energy label"
slug: "update-an-energy-label"
updated: 2025-11-07T20:01:40Z
published: 2026-02-10T10:39:15Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://www.bloxs.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an energy label

Put/api/v1/realestateobjects/energylabels

Update an energy label of existing real estate object.

		
			

**Description**

Update an existing energy label of an object. Both the 'reference' and the 'externalIdentifier' can be used to identify the object. Preferably only the reference is used. If this is not available, the externalIdentifier can be used. If both properties are used it is important that both are correct and match with the same entity (object). If this is not the case, the request will return with an error code.

**Use Case**

After retrieving the energy label of an object with the [Get an energy label operation](/v1-api/apidocs/preview-get-an-energy-label-of-an-object) the user notices that the value is outdated and should be changed. The user can call the put operation to change the value.

**Request fields**

The request contains the following fields:

| Field | Description |
| --- | --- |
| reference | The relationship number within Bloxs. This is unique (per client specific environment) for all objects. The relationship number is generated by the Bloxs system. |
| externalIdentifier | The unique identifier within the system of the requesting party. This identifier is not generated by the Bloxs system. |
| energyLabelName | A representation of the energy performance of the property. Defined as a letter. This is a standard list, but it can be modified by the user. |
| energyLabelNameValidUntilDate | The date until when the energy label is valid. |
| filename | The name of the file (energy report) which is linked to the real estate object. This does not contain the actual file itself. |
| mimeType | The technical specification of the file (e.g., application/pdf, image/png). |
| base64 | The file in base64 encoding. |

**Response fields**

The response contains the fields in the table below.

| Field | Description |
| --- | --- |
| energyLabel | A representation of the energy performance of the property. Defined as a letter. This is a standard list, but it can be modified by the user. |
| energyLabelValidUntilDate | The date until when the energy label is valid. |
| fileName | The name of the file (energy report) which is linked to the real estate object. This does not contain the actual file itself. |
| fileSize | The size of the file (energy report) which is linked to the real estate object. This does not contain the actual file itself. |

		
		
SecurityHTTPType Bearer

Please enter a valid token

Body parameters<select class='api-response-data' aria-label='Media type'><option value='be6a47ea-3328-4cf8-9fee-9288518f4f91'>application/json</option>
</select>Expand Allobject  referencestring   | null  
externalIdentifierstring   | null  
energyLabelNamestring    RequiredMin length1Max length6
energyLabelValidUntilDatestring  (date)   | null  
documentobject (APIFilePutModel)  fileNamestring    RequiredMin length1Max length512
mimeTypestring    RequiredMin length1Max length100
base64string    RequiredMin length1

Responses200

The energy label was updated

<select class='api-response-data' aria-label='Media type'><option value='f644776e-6247-440b-936c-37e082384775'>application/json</option>
</select>Expand Allobject  energyLabelNamestring   | null  
energyLabelValidUntilDatestring  (date)   | null  
documentobject (EnergyLabelDocumentAPIDetailsModel)  fileNamestring   | null  
fileSizeinteger  (int64)    

400

The energy label has validation issues

<select class='api-response-data' aria-label='Media type'><option value='5cadfeed-b7bc-4cad-abe3-66f4d585d768'>application/json</option>
</select>Expand Allobject  typestring   | null  
titlestring   | null  
traceIdstring   | null  
statusinteger  (int32)    
errorsobject | null  property* Array of string  | null  additionalPropertiesstring
